﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}


.modal {
    position: fixed; /* Stay in place */
    z-index: 10; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
    display: grid;
    place-items: center;
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    border: 1px solid #888;
}

.key {
    background-color: white;
    border: 0;
    border-radius: 20px;
    margin: 5px 8px;
    font-size: 28px;
    text-align: center;
    float: left;
    height: 60px;
    line-height: 60px;
    cursor: pointer;
}

#laden_bg
{
    position: absolute;
    margin: 0;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: grid;
    place-items: center;
    grid-template-rows: 1fr auto 250px 1fr;
    background-color: #FFD72E;
}

#laden_bg h1 {
    grid-row: 2/3;
}

.ladeanimation {
    grid-row: 3/4;
}

.ladeanimation img {
    position: absolute;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.loader_bee { 
    animation: drehen 4s infinite linear;
}

@keyframes drehen {
    0% {transform:translate(-50%, -50%) rotate(0deg)}
    100% {transform:translate(-50%, -50%) rotate(360deg)}
}